# -*- coding: utf-8 -*-
""" Module of comp_sigreshape_post calculation

Ported from ltfat_2.1.0/comp/comp_sigreshape_post.m

.. moduleauthor:: Denis Arrivault
"""

from __future__ import print_function, division

import numpy as np


def comp_sigreshape_post(f, fl, wasrow, remembershape):
    """Get original dimensionality

    .. warning::
        This function returns **f** or a view of **f** if possible. In those
        cases, any value changed in the returned variable will also be
        changed in **f**.
    """
    fd = len(remembershape)

    if fd > 2:
        return f.reshape((fl,) + remembershape[1:fd])
    if wasrow:
        return f[np.newaxis, :]
    return f
