# -*- coding: utf-8 -*-
"""Test of the comp_gabdual_long function

.. moduleauthor:: Denis Arrivault
"""

from __future__ import print_function, division

import unittest
import numpy as np

from ltfatpy.comp.comp_gabdual_long import comp_gabdual_long


class TestCompGabDual(unittest.TestCase):
    # Called before the tests.
    def setUp(self):
        pass

    # Called after the tests.
    def tearDown(self):
        print('Test done')

    def test_default(self):
        # g should be float64 or complex128
        g = np.arange(9)
        mess = "g data should be numpy.float64 or numpy.complex128"
        self.assertRaisesRegexp(TypeError, mess, comp_gabdual_long, g, 0, 0)
        g = g.astype(np.float64)
        # g dim should be < 3
        mess = "g dimensions should be 1 or 2."
        self.assertRaisesRegexp(TypeError, mess, comp_gabdual_long,
                                g.reshape((3, 1, 3)), 0, 0)
        # basic test:
        g.resize((3, 3))
        gd = comp_gabdual_long(g, 1, 1)
        self.assertEqual(gd.shape, (3, 3), "Bad output dimensions")

if __name__ == '__main__':
    suite = unittest.TestLoader().loadTestsFromTestCase(TestCompGabDual)
    unittest.TextTestRunner(verbosity=2).run(suite)
