# -*- coding: utf-8 -*-
"""Test of the fir2long function

.. moduleauthor:: Denis Arrivault
"""

from __future__ import print_function, division

import unittest
import numpy as np

from ltfatpy.sigproc.fir2long import fir2long


class TestSigprocFir2long(unittest.TestCase):
    """ Unittest class for Sigproc fir2long"""
    digit = 9

    def setUp(self):
        pass

    def tearDown(self):
        print('Test done')

    def test_default(self):
        self.assertRaises(TypeError, fir2long, "toto", 10)
        self.assertRaises(ValueError, fir2long, np.ones(10), 5)
        gin = np.arange(10, dtype='f4')
        g = fir2long(gin, 20)
        np.testing.assert_array_equal(g, np.hstack((np.arange(5), np.zeros(10),
                                                    np.arange(5, 10))))
        gin = np.arange(11, dtype='f4')
        g = fir2long(gin, 20)
        np.testing.assert_array_equal(g, np.hstack((np.arange(6), np.zeros(9),
                                                    np.arange(6, 11))))

if __name__ == '__main__':
    suite = unittest.TestLoader().loadTestsFromTestCase(TestSigprocFir2long)
    unittest.TextTestRunner(verbosity=2).run(suite)
