# -*- coding: utf-8 -*-
"""Test of the rms function

.. moduleauthor:: Denis Arrivault
"""

from __future__ import print_function, division

import unittest
import numpy as np

from ltfatpy.sigproc.rms import rms


class TestSigprocRms(unittest.TestCase):
    """ Unittest class for Sigproc rms"""
    digit = 9

    def setUp(self):
        pass

    def tearDown(self):
        print('Test done')

    def test_default(self):
        f1 = np.arange(10)
        f2 = 10*np.arange(10)
        f = np.vstack((f1, f2)).T
        y1 = rms(f1)
        y2 = rms(f2)
        y = rms(f)
        np.testing.assert_equal(y[0, 0], y1)
        np.testing.assert_equal(y[0, 1], y2)
        y1 = rms(f1, ac=True)
        y2 = rms(f2, ac=True)
        y = rms(f, ac=True)
        np.testing.assert_equal(y[0, 0], y1)
        np.testing.assert_equal(y[0, 1], y2)

if __name__ == '__main__':
    suite = unittest.TestLoader().loadTestsFromTestCase(TestSigprocRms)
    unittest.TextTestRunner(verbosity=2).run(suite)
